package com.its.pis.xnettcp.vds.protocol;

/**
 * 개별차량 데이터 Request, 제어기에게 동기화 명령을 보낸 직후 개별차량 데이터 Request 명령 전송
 */
public class VdsReqVehicle extends VdsReqFramePacket {

    private byte frameNo;

    public VdsReqVehicle(short groupNo, short controllerNo) {
        super(groupNo, controllerNo, VdsProtocol.vds_Vehicle);
        this.body = new byte[1];
        setFrameNo(1);
    }

    public void setFrameNo(int frameNo) {
        this.frameNo =  (byte)(frameNo & 0xFF);;
        this.body[0] = this.frameNo;
    }
}
